.has-error .help-block, .has-error .control-label, .has-error .radio, .has-error .checkbox, .has-error .radio-inline, .has-error .checkbox-inline, .has-error.radio label, .has-error.checkbox label, .has-error.radio-inline label, .has-error.checkbox-inline label {
    color: #ff6764 !important;
}
.btn-bs-file-profile {
    position: relative;
}
.usr_img_Prev img {
    border-radius: 50%;
    cursor: pointer;
}
#usr_img_Preview img {
    border-radius: 50%;
    cursor: pointer;
}
.btn-bs-file-profile input[type="file"] {
    height: 0;
}
.logo-position{
    position: absolute !important;
    top: 24px;
    right: 60px;
}

.in-dataTable{
    max-width: 100% !important;
    overflow-x: auto !important;
}
/*
** Sub menu in side nav
*/
.sub-menu {  
    position: absolute;  
    top: 27px;  
    padding-left: 30px !important;
} 
.sub-menu i{
    margin-right: 0px !important;
    font-size: 15px !important;
}
.sub-menu a{
    padding-left: 5px !important;
}
.sub-menu a:hover{
    color: #fff;
}
.has-sub ul {  
    position: initial; 
    list-style: none;
    margin: 0;
    line-height: 30px;
    font-size: 12px;
    font-weight: 600;
}  
.has-sub a { 
    text-transform: uppercase;
    font-weight: 600;
}

.sidebar-wrapper a:hover {  
    font-weight: bold; 
}  
ul.nav li a.parent-menu:hover{
    background: #a2a3f7;
}
ul.nav li.has-sub:hover ul{
    background: #49a5aa;
}
ul.nav li.has-sub:hover ul a{
    color: #fff !important;
    font-size: 14px;
}
/*
** Sub menu in side nav
*/

@media(max-width:767px) {
    .dataTables_wrapper .dataTables_length{
        width: 100%;
    }
    .dataTables_wrapper .dataTables_filter label{
        margin-left: 0px;
        text-align: left;
    }
    .dataTables_wrapper .dataTables_filter input{
        width: 270px;
    }

    .dataTables_wrapper .dataTables_info, .dataTables_wrapper .dataTables_paginate{
        width: 100%;
        text-align: center;
    }
    .dataTables_wrapper .dataTables_paginate{
        padding-right: 0px;
    }
    .dataTables_wrapper .dataTables_paginate .paginate_button{
        padding: 0.3em 0.5em;
    }
}

.manage_button {
    text-align: right !important;
}

.manage_button a{
    font-weight: bold;
}

.manage_button .icon {
    text-align: center;
    -moz-border-radius: 55%;
    -webkit-border-radius: 55%;
    -ms-border-radius: 55%;
    -o-border-radius: 55%;
    font-size: 25px;
}

.manage_dropdown {
    float: right !important;
    margin-right: 0px;
    margin-top: 0px;
    left: inherit;
    right: -14px;
    top: 35px;
    border: 0px;
    border-bottom-color: currentcolor;
    border-bottom-style: none;
    border-bottom-width: 0px;
    box-shadow: 0px 5px 10px rgba(50,57,67,0.1);
    min-width: 140px !important;
    padding: 10px 0;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;
}
.manage_dropdown > li > a:hover, .manage_dropdown > li > a:focus{
    /*color: rgba(0, 16, 249, 0.7);*/
    background: #196f07;
}

/*
.manage_button {
    text-align: center !important;
}
.manage_button .icon {
    font-size: 18px;
}*/

.modal-header h2{
    margin: 0px;
}

.font-size-25{
    font-size: 25px !important;
}

.vertical-align-super{
    vertical-align: super;
}

.height-100-overflow-y{
    height: 150px;
    overflow-y: auto;
}
.text-align-right{
    text-align: right !important;
}
.text-align-left{
    text-align: left !important;
}
.text-align-center{
    text-align: center !important;
}
.danger-font-10{
    font-size: 10px;
    color: #930404;
}
.margin-top-5{
    margin-top: 5px;
}

/*
** For create dynamic form start
*/

.section-border .col-lg-1, .section-border .col-lg-10, .section-border .col-lg-11, .section-border .col-lg-12, .section-border .col-lg-2, .section-border .col-lg-3, .section-border .col-lg-4, .section-border .col-lg-5, .section-border .col-lg-6, .section-border .col-lg-7, .section-border .col-lg-8, .section-border .col-lg-9, .section-border .col-md-1, .section-border .col-md-10, .section-border .col-md-11, .section-border .col-md-12, .section-border .col-md-2, .section-border .col-md-3, .section-border .col-md-4, .section-border .col-md-5, .section-border .col-md-6, .section-border .col-md-7, .section-border .col-md-8, .section-border .col-md-9, .section-border .col-sm-1, .section-border .col-sm-10, .section-border .col-sm-11, .section-border .col-sm-12, .section-border .col-sm-2, .section-border .col-sm-3, .section-border .col-sm-4, .section-border .col-sm-5, .section-border .col-sm-6, .section-border .col-sm-7, .section-border .col-sm-8, .section-border .col-sm-9, .section-border .col-xs-1, .section-border .col-xs-10, .section-border .col-xs-11, .section-border .col-xs-12, .section-border .col-xs-2, .section-border .col-xs-3, .section-border .col-xs-4, .section-border .col-xs-5, .section-border .col-xs-6, .section-border .col-xs-7, .section-border .col-xs-8, .section-border .col-xs-9{
    padding-right: 0px;
    padding-left: 0px;
}

.section-border{
    border: 3px solid #294A3B;
    padding: 5px;
    border-radius: 5px;
    box-shadow: 0px 5px 5px;
}

.section-header{
    text-align: center;
    background: #294A3B;
    color: #fff;
    border-radius: 5px;
    padding: 3px;
}

.dynamic-form-create .section-border{
    border: 3px solid #294A3B;
}

.dynamic-form-update .section-border{
    border: 3px solid #4A2929;
}

.dynamic-form-create .section-header{
    background: #294A3B;
}

.dynamic-form-update .section-header{
    background: #4A2929;
}

.section-header label {
    text-decoration: underline;
}

.div-field {
    font-size: 13px;
    padding: 5px 2px 5px 4px;
    background: #d0d1d7;
    border-right: 2px solid #F4F3EF;
    border-top: 3px solid #F4F3EF;
    border-radius: 5px;  
    color: #000;
    cursor: pointer;
    z-index: 999;
}

.m-b-5{
    margin-bottom: 5px;
}

.options, .optionsText{
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
}

.section-border ul{
    list-style-type: none;
    padding-right: 0px;
    padding-left: 0px;
}

.connectedSortable {
    border-right: 1px solid #e7e7e7;
    /*    padding: 5px 2px;*/
}

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
    background: #C1E8FF !important;
    border: 2px solid #efefef;

}

.customDelete, .customDeleteBlocked{
    position: absolute;
    top: -3px;
    right: -3px;
    display: none;
}

.customRowDelete, .includedFieldRowDelete, .customRowDeleteBlocked{
    position: relative;
    /*    top: 50px;*/
    right: -5px;
    display: none;
}
.btnRowDelete, .btnDelete{
    color: #e81010;
}

.section-border ul li{
    padding-right: 3px !important;
    padding-top: 3px !important;
}

.section-border .fileUpload{
    position: initial;
    overflow: hidden;
    margin: 0px;
    float: none;
    height: 40px;
}

.section-border .dropdown{
    position: initial;
}

.section-border .dropDownOptionContain, .section-border .checkBoxOptionContain{
    line-height: 20px;
}

.section-border .checkbox{
    position: initial;
    margin-top: 0px;
}

.mainBody{
    min-height: 1000px;
}

.mainRow ul{
    min-height: 60px;
    margin-bottom: 0px;
    border-right: 1px dotted #3708df;
}

.mainRow ul:last-child {
    border-right: 0px;
}

.mainRow {
    margin-bottom: 10px;
    min-height: 60px;
    border: 1px dotted #309503;
}

.selectRow{
    border: 1px dashed #16d8e1;
    padding: 2px 0px;
}

.selectColumn{
    border: 1px solid #ccb600;
    border-radius: 5px;
    box-shadow: 2px 2px;
}

.display-none{
    display: none;
}

.display-block{
    display: block;
}

.min-height-575{
    height: 575px;
    overflow-y: auto
}

#options_checkbox li, #options_dropdown li{
    margin-bottom: 2px;
}
/*
** For create dynamic form end
*/


/*
**
*/
.fields label{
    display: block;
    width: 100%;
    margin-bottom: 5px;
}

.fields .text_box{
    width: 99%;
    border: 1px solid #E1E5ED;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    -ms-border-radius: 4px;
    -o-border-radius: 4px;
    border-radius: 4px;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-bottom: 5px;
    height: 40px;
    color: #5c5c5c;
    padding-left: 15px;
    -moz-box-shadow: inset 0 1px 5px rgba(0,0,0,0.06);
    -webkit-box-shadow: inset 0 1px 5px rgba(0,0,0,0.06);
    -ms-box-shadow: inset 0 1px 5px rgba(0,0,0,0.06);
    -o-box-shadow: inset 0 1px 5px rgba(0,0,0,0.06);
    box-shadow: inset 0 1px 5px rgba(0,0,0,0.06);
}

.fields .list_menu{
    -webkit-appearance:none;
    -moz-appearance:none;
    -ms-appearance:none;
    -o-appearance:none;
    appearance:none;
    width: 99%;
    border: 1px solid #E1E5ED;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    -ms-border-radius: 4px;
    -o-border-radius: 4px;
    border-radius: 4px;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-bottom: 5px;
    height: 40px;
    color: #777777;
    background: url(../images/drop_down_arrow.png) no-repeat right center #ffffff;
    padding-left: 15px;
    -moz-box-shadow: inset 0 1px 5px rgba(0,0,0,0.06);
    -webkit-box-shadow: inset 0 1px 5px rgba(0,0,0,0.06);
    -ms-box-shadow: inset 0 1px 5px rgba(0,0,0,0.06);
    -o-box-shadow: inset 0 1px 5px rgba(0,0,0,0.06);
    box-shadow: inset 0 1px 5px rgba(0,0,0,0.06);
}
.form_heading{
    font-size: 20px;
    color: #2caa98;
    text-decoration: underline;
    font-weight: bold;
}

.form_heading i{
    font-size: 15px;
}

.textnote{
    font-size: 12px;
    color: #2caa98;
    text-decoration: underline;
}

.dynamic-form-create .add_row_button{
    color: #178e0c;
    margin-bottom: 5px;
    border: 2px #178e0c solid;
    max-width: fit-content;
    border-radius: 5px;
    cursor: pointer;
}

.dynamic-form-update .add_row_button{
    color: #4A2929;
    margin-bottom: 5px;
    border: 2px #4A2929 solid;
    max-width: fit-content;
    border-radius: 5px;
    cursor: pointer;
}

.dynamic-form-create hr, .dynamic-form-update hr{
    margin-top: 2px;
    margin-bottom: 2px;
}

.dynamic-form-create .checkbox, .dynamic-form-update .checkbox{
    display: initial;
}

.remove_repeat{
    border: 1px solid #cc1d1d;
    border-radius: 5px;
    color: #cc1d1d;
    position: absolute;
    right: 0%;
    cursor: pointer;
}

.width-50{
    width: 50% !important;
}

.width-25{
    width: 25% !important;
}

.dynamic-form-create .add_option{
    border: 1px solid #178e0c;
    border-radius: 10px;
    background: #178e0c;
    font-size: 10px;
    padding: 4px 0px;
    color: #fff;
    cursor: pointer;
}

.dynamic-form-update .add_option{
    border: 1px solid #4A2929;
    border-radius: 10px;
    background: #4A2929;
    font-size: 10px;
    padding: 4px 0px;
    color: #fff;
    cursor: pointer;
}

.crud-error-span{
    font-size: 10px;
    color: #930404;
    position: relative;
    width: 100%;
    display: inline-block;
    top: -10px
}

.p-b-5{
    padding-bottom: 5px;
}
.dynamic_create_update_form ul{
    margin-bottom: 1px;
}

.crud-required-span{
    color: #cc0606;
}

.font-25{
    font-size: 25px;
}

.warning{
    color: #d00 !important;
}

.success{
    color: #00820e !important;
}

.cursor-pointer{
    cursor: pointer;
}

.float-right{
    float: right !important;
}

.dynamic-form-update img{
    border-radius: 5px;
    border: 2px solid #000;
    padding: 1px;
}

.info_color{
    color: #00a670;
}

.total_sum{
    padding: 5px !important;
    margin-bottom: 5px;
    /*margin-left: 2px;*/
    border-radius: 5px;
    /*    width: 49%;
        float: right;*/
} 

.success_border{
    border: 2px solid #178E0C !important;
}

.error_border{
    border: 2px solid #DA3A2A !important;
}

.dynamic-form-field-create #sourceDiv{
    height: 277px;
    overflow-y: auto;
}

.dynamic-form-field-create #all_field_prop{
    height: 750px;
    overflow-y: auto;
}

.tooltip-inner {
    max-width: 300px !important;
    font-size: 10px;
}

.note_class{
    font-size: 9px;
    color: #0c9b00;
}

.verifying_field_properties, .fill_in_properties{
    margin-top: 2px;
    border: 2px solid #000;
    padding: 2px;
    border-radius: 5px;
}

#verifying_button, #fill_in_button{
    width: 100%;
    margin: 0px !important;
}

.border_class{
    border: 2px solid black;
    padding: 1px;
    border-radius: 5px;
}

#all_field_prop hr{
    margin-top: 5px;
    margin-bottom: 5px
}
#auto_fill_fields_mapping td{
    padding: 8px;
}
#auto_fill_fields_mapping{
    margin-bottom: 0px;
}
.form-control{
    border: 1px solid;
}
#yii-debug-toolbar{
    display: none !important;
}
.alert-dismissable .close, .alert-dismissible .close {
  right: 0px !important;
}
.card .numbers {
  font-size: 20px !important;
}